Qyra
Referencev2

Get comments

Gets all comments for a dashboard within a project

GET/api/v2/projects/{projectUuid}/dashboards/{dashboardUuidOrSlug}/comments

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
dashboardUuidOrSlugstringYes

Query parameters

NameTypeRequiredDescription
resolvedbooleanNo

Responses

200 — Success

{
  "results": {
    "property": [
      {
        "mentions": [
          "string"
        ],
        "canRemove": true,
        "resolved": true,
        "replies": [
          {}
        ],
        "replyTo": "string",
        "user": {
          "avatarGradient": {},
          "avatarUrl": "string",
          "userUuid": "string",
          "name": "string"
        },
        "createdAt": "2024-01-01T00:00:00.000Z",
        "textHtml": "string",
        "text": "string",
        "commentId": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}